<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Top Travel Pro
* @since Top Travel Pro 1.0.0
*/


if ( ! function_exists( 'top_travel_pro_slider_btn_label_partial' ) ) :
    // about title
    function top_travel_pro_slider_btn_label_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['slider_btn_label'] );
    }
endif;


if ( ! function_exists( 'top_travel_pro_about_title_partial' ) ) :
    // about title
    function top_travel_pro_about_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['about_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_about_sub_title_partial' ) ) :
    // about sub title
    function top_travel_pro_about_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_about_description_partial' ) ) :
    // about description
    function top_travel_pro_about_description_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['about_description'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_about_btn_title_partial' ) ) :
    // about btn title
    function top_travel_pro_about_btn_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_service_title_partial' ) ) :
    // about btn title
    function top_travel_pro_service_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['service_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_service_sub_title_partial' ) ) :
    // service_sub_title
    function top_travel_pro_service_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['service_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_service_btn_title_partial' ) ) :
    // service_btn_title
    function top_travel_pro_service_btn_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['service_btn_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_package_title_partial' ) ) :
    // package_title
    function top_travel_pro_package_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['package_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_package_sub_title_partial' ) ) :
    // package_sub_title
    function top_travel_pro_package_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['package_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_package_btn_title_partial' ) ) :
    // package_btn_title
    function top_travel_pro_package_btn_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['package_btn_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_popular_destination_btn_title_partial' ) ) :
    // popular_destination_btn_title
    function top_travel_pro_popular_destination_btn_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['popular_destination_btn_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_testimonial_section_title_partial' ) ) :
    // testimonial_section_title
    function top_travel_pro_testimonial_section_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['testimonial_section_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_testimonial_section_sub_title_partial' ) ) :
    // about btn title
    function top_travel_pro_testimonial_section_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['testimonial_section_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_trending_title_partial' ) ) :
    // trending_title
    function top_travel_pro_trending_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['trending_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_trending_subtitle_partial' ) ) :
    // trending_subtitle
    function top_travel_pro_trending_subtitle_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['trending_subtitle'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_recent_title_partial' ) ) :
    // recent_title
    function top_travel_pro_recent_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['recent_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_recent_subtitle_partial' ) ) :
    // recent_subtitle
    function top_travel_pro_recent_subtitle_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['recent_subtitle'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_recent_button_partial' ) ) :
    // recent_button
    function top_travel_pro_recent_button_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['recent_button'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_featured_title_partial' ) ) :
    // featured_title
    function top_travel_pro_featured_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['featured_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_most_viewed_title_partial' ) ) :
    // most_viewed_title
    function top_travel_pro_most_viewed_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['most_viewed_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_single_column_title_partial' ) ) :
    // single_column_title
    function top_travel_pro_single_column_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['single_column_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_latest_posts_title_partial' ) ) :
    // latest_posts_title
    function top_travel_pro_latest_posts_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['latest_posts_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_popular_products_title_partial' ) ) :
    // popular_products_title
    function top_travel_pro_popular_products_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['popular_products_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_popular_products_sub_title_partial' ) ) :
    // popular_products_sub_title
    function top_travel_pro_popular_products_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['popular_products_sub_title'] );
    }
endif;


if ( ! function_exists( 'top_travel_pro_collection_title_partial' ) ) :
    // collection_title
    function top_travel_pro_collection_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['collection_title'] );
    }
endif;


if ( ! function_exists( 'top_travel_pro_collection_subtitle_partial' ) ) :
    // collection_subtitle
    function top_travel_pro_collection_subtitle_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['collection_subtitle'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_gallery_title_partial' ) ) :
    // gallery_title
    function top_travel_pro_gallery_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_gallery_subtitle_partial' ) ) :
    // gallery_subtitle
    function top_travel_pro_gallery_subtitle_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['gallery_subtitle'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_team_sub_title_partial' ) ) :
    // team_sub_title
    function top_travel_pro_team_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_team_title_partial' ) ) :
    // team_title
    function top_travel_pro_team_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_recent_products_title_partial' ) ) :
    // recent_products_title
    function top_travel_pro_recent_products_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['recent_products_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_recent_products_sub_title_partial' ) ) :
    // recent_products_sub_title
    function top_travel_pro_recent_products_sub_title_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['recent_products_sub_title'] );
    }
endif;

if ( ! function_exists( 'top_travel_pro_blog_page_button_partial' ) ) :
    // blog_page_button
    function top_travel_pro_blog_page_button_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['blog_page_button'] );
    }
endif;

if ( ! function_exists( 'moun10_pro_read_more_text_partial' ) ) :
    // read_more_text
    function moun10_pro_read_more_text_partial() {
        $options = top_travel_pro_get_theme_options();
        return esc_html( $options['read_more_text'] );
    }
endif;









