<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that assetss all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage top_travel Pro
//  * @since top_travel Pro 1.0.0
//  */


function top_travel_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'top-travel-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'top_travel_pro_ctdi_plugin_page_setup' );


function top_travel_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/pro/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top-travel-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Business', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/business/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/business/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/business/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/business/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-business',
        ),
        array(
            'import_file_name'             => esc_html__( 'Medical', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/medical/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/medical/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/medical/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/medical/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-medical',
        ),
        array(
            'import_file_name'             => esc_html__( 'Education', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/education/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/education/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/education/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/education/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-education',
        ),
        array(
            'import_file_name'             => esc_html__( 'Lawyer', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/lawyer/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/lawyer/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/lawyer/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/lawyer/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-lawyer',
        ),
        array(
            'import_file_name'             => esc_html__( 'Shop', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/shop/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/shop/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/shop/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/shop/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-shop',
        ),
        array(
            'import_file_name'             => esc_html__( 'Magazine', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/magazine/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/magazine/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/magazine/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/magazine/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-magazine',
        ),

        array(
            'import_file_name'             => esc_html__( 'Blog', 'top-travel-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/blog/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/blog/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/blog/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/blog/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'top-travel-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/top_travel-blog',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'top_travel_pro_ctdi_import_files' );



function top_travel_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $secondary = get_term_by('name', 'Secondary', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $secondary->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'top_travel_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );